%define ladspadir	%{_libdir}/ladspa
%define lv2dir		%{_libdir}/lv2

Name:           guitarix
Version:        0.44.1
Release:        %mkrel 1
Summary:        Guitar effect processor for JACK
License:        GPLv2
Group:          Sound
URL:            http://guitarix.sourceforge.net/
Source0:        https://downloads.sourceforge.net/project/guitarix/guitarix/guitarix2-%{version}.tar.xz
BuildRequires:  avahi-gobject-devel
BuildRequires:  bluez-devel
BuildRequires:  boost-devel
BuildRequires:  eigen3
BuildRequires:  fftw-devel
BuildRequires:  gtk+3-devel
BuildRequires:  gtkmm2.4-devel
BuildRequires:	lib64gtkmm3.0-devel
BuildRequires:  gperf
BuildRequires:  intltool
BuildRequires:  ladspa-devel
BuildRequires:  libjack-devel
BuildRequires:  libpthread-stubs
BuildRequires:  libsndfile-devel
BuildRequires:  liblrdf-devel
BuildRequires:  lilv-devel
BuildRequires:  lv2-devel
BuildRequires:  python-devel
BuildRequires:  zita-convolver-devel
BuildRequires:  zita-resampler-devel
BuildRequires:	curl-devel
BuildRequires:  fonts-ttf-roboto
Requires:       fonts-ttf-roboto
Requires:       gtk-engines2
Requires:       jack_capture
Requires:       ladspa
Requires:       lv2
Requires:       qjackctl
Requires:       vorbis-tools

%description
guitarix is a simple Linux Rock Guitar Amplifier for the Jack Audio
Connektion Kit with one input and two outputs. Designed to get nice
thrash/metal/rock/blues guitar sounds. There are controls for bass,
middle, treble, gain (in/out), compressor, preamp, tube's, drive,
overdrive, oversample, anti-aliase, fuzz, balance, distortion, freeverb,
impulse response, vibrato, chorus, delay , crybaby(wah) and echo.

%prep
%setup -qn %{name}-%{version}
%apply_patches

%build
rm -fr src/zita-convolver src/zita-resampler
sed -i -e 's|-O3||' wscript
export CPPFLAGS+="-I/usr/include/eigen3 %{optflags}"

./waf configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--ladspadir=%{ladspadir} \
	--lv2dir=%{lv2dir} \
        --no-faust \
        --ladspa \
        --new-ladspa
        
./waf build

%install
rm -rf %{buildroot}
./waf install --destdir=%{buildroot} --libdir=%{_libdir}
%find_lang %{name}
desktop-file-install --vendor="" \
 --add-category="X-MandrivaLinux-Multimedia-Sound" \
 --remove-category="X-Jack" \
 --remove-category="Midi" \
 --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*
#remove uneeded files.
rm -rf %buildroot/%{_libdir}/libgxw.so
rm -rf %buildroot/%{_libdir}/libgxwmm.so

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/guitarix
%{_libdir}/libgx*
%{_libdir}/lv2
%{_datadir}/gx_head
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/%{name}.desktop
%{ladspadir}/*.so
%{_datadir}/ladspa/rdf/*.rdf
%{_datadir}/metainfo/org.guitarix.guitarix.metainfo.xml

%changelog
* Sun Sep 18 2022 tex - 0.44.1-1pclos2022
- new version

* Tue Sep 28 2021 tex - 0.42.1-2pclos2021
- rebuild new boost

* Tue Dec 29 2020 tex - 0.42.1-1pclos2021
- new version

* Sun Jul 19 2020 ghostbunny <ghostbunny at gmx dot de> 0.41.0-1pclos2020
- 0.41.0
- update to gtk+3

